gnutls_x509_ext_import_subject_alt_names(3)

NAME
gnutls_x509_ext_import_subject_alt_names - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_import_subject_alt_names(const gnutls_datum_t * ext, gnutls_subject_alt_names_t sans, unsigned int flags);

ARGUMENTS

const gnutls_datum_t * ext
    The DER-encoded extension data

gnutls_subject_alt_names_t sans
    The alternative names

unsigned int flags
    should be zero

DESCRIPTION
This function will export the alternative names in the provided DER-encoded SubjectAltName PKIX extension, to a gnutls_subject_alt_names_t type. sans must be initialized. This function will succeed even if there no subject alternative names in the structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/